.rtl {
  direction: rtl;
  text-align: right;
  .navbar {
    .navbar-toggle {
      float: left;
      margin-left: 15px;
      margin-right: 0;
    }

    .navbar-header {
      margin-bottom: 0px;
    }
  }
  .navbar-nav {
    &.navbar-right {
      float: left !important;
      margin-left: 0px;
      margin-right: unset;
      display: flex !important;
      flex-direction: unset;
    }
    .dropdown-menu {
      left: 0;
      right: auto !important;
    }
    .dropdown-menu::before {
      left: 19px;
      right: unset;
    }
    .dropdown-menu::after {
      left: 20px;
      right: unset;
    }
    > li .js-right-sidebar {
      margin-left: 0px;
      margin-right: 0;
    }
    .user_profile .user_dw_menu li i {
      float: right;
      padding-left: 5px;
    }
  }
  section {
    &.content {
      margin: 35px 260px 0px 15px;
      min-height: calc(100vh - 76px);
      transition: 0.5s;
      .content-block {
        padding: 25px 25px 0px 0px;
      }
    }
  }
  .breadcrumb-main {
    .page-title {
      border-right: none;
      padding-right: 0px;
      &:after {
        display: none;
      }

      // &:before {
      //   content: "\f104";
      //   font-family: "Font Awesome 5 Free";
      //   font-size: 18px;
      //   font-weight: 900;
      //   padding: 0px 5px;
      // }
    }
    .breadcrumb-list {
      float: left;
    }
    li a .fa-home {
      float: right;
      padding-right: 10px;
      padding-left: unset;
    }
    .breadcrumb-item + .breadcrumb-item {
      padding-right: 5px;
      padding-left: unset;
      &:after {
        content: "\f104";
        font-family: "Font Awesome 5 Free";
        font-size: 14px;
        font-weight: 900;
        padding-left: 0.5rem;
      }
      &:before {
        display: none;
      }
    }
  }
  .sidebar {
    right: 0;
    .menu .list {
      .menu-toggle {
        &:after {
          left: 17px;
          right: unset;
        }
        &:before {
          left: 17px;
          right: unset;
        }
      }
      a {
        padding: 9px 20px 9px 9px;
        span {
          margin: 7px 12px 7px 0;
        }
        .mat-button-wrapper {
          margin: 7px 0 7px 12px;
        }
      }
      .ml-menu {
        li a {
          padding-right: 35px;
          padding-top: 7px;
          padding-bottom: 7px;
        }
        .ml-menu-2 li a {
          padding-right: 20px;
          padding-top: 4px;
          padding-bottom: 4px;
        }
      }
      .ml-sub-menu:after,
      .ml-sub-menu:before {
        left: 17px;
        right: unset;
      }
      .header {
        margin: 15px 35px 5px 0 !important;
      }
    }
    .sidebar-badge {
      left: 35px;
      right: unset;
    }
  }
  .sidemenu-reorder {
    float: right;
  }
  .form-check {
    .form-check-label {
      padding-right: 30px;
    }
    .form-check-sign {
      left: unset;
      right: 0px;
      padding-right: 0px;
    }
  }
  .mat-radio-button ~ .mat-radio-button {
    margin-right: 16px;
  }
  @media (min-width: 768px) {
    .navbar-header {
      float: right;
    }
  }

  .msl-1 {
    margin-right: 0.25rem !important;
    margin-left: unset !important;
  }
  .msl-2 {
    margin-right: 0.5rem !important;
    margin-left: unset !important;
  }
  .msl-3 {
    margin-right: 1rem !important;
    margin-left: unset !important;
  }
  .msl-4 {
    margin-right: 1.5rem !important;
    margin-left: unset !important;
  }
  .msl-5 {
    margin-right: 3rem !important;
    margin-left: unset !important;
  }

  .msr-1 {
    margin-left: 0.25rem !important;
    margin-right: unset !important;
  }
  .msr-2 {
    margin-left: 0.5rem !important;
    margin-right: unset !important;
  }
  .msr-3 {
    margin-left: 1rem !important;
    margin-right: unset !important;
  }
  .msr-4 {
    margin-left: 1.5rem !important;
    margin-right: unset !important;
  }
  .msr-5 {
    margin-left: 3rem !important;
    margin-right: unset !important;
  }

  .psl-1 {
    padding-right: 0.25rem !important;
    padding-left: unset !important;
  }
  .psl-2 {
    padding-right: 0.5rem !important;
    padding-left: unset !important;
  }
  .psl-3 {
    padding-right: 1rem !important;
    padding-left: unset !important;
  }
  .psl-4 {
    padding-right: 1.5rem !important;
    padding-left: unset !important;
  }
  .psl-5 {
    padding-right: 3rem !important;
    padding-left: unset !important;
  }

  .psr-1 {
    padding-left: 0.25rem !important;
    padding-right: unset !important;
  }
  .psr-2 {
    padding-left: 0.5rem !important;
    padding-right: unset !important;
  }
  .psr-3 {
    padding-left: 1rem !important;
    padding-right: unset !important;
  }
  .psr-4 {
    padding-left: 1.5rem !important;
    padding-right: unset !important;
  }
  .psr-5 {
    padding-left: 3rem !important;
    padding-right: unset !important;
  }

  &.side-closed {
    &.side-closed-hover {
      section.content {
        margin-right: 260px;
        margin-left: 15px;
      }
      .sidebar .menu .list li {
        i {
          float: right;
          line-height: 2rem;
        }
        .sidebarIcon {
          float: right;
          line-height: 2rem;
        }
        span {
          display: block;
          float: right;
        }
      }
    }
    section.content {
      margin-right: 60px;
      margin-left: 15px;
    }
  }
  .card .header .header-dropdown {
    left: 0px;
    right: unset;
  }
  .dropdown-menu ul.menu {
    .msg-user {
      float: right;
    }
    .menu-info {
      right: 10px;
      float: right;
      text-align: right;
      .menu-desc .material-icons {
        float: right;
        margin-left: 3px;
      }
    }
    li a {
      float: right;
    }
  }
  .right-sidebar {
    &.open {
      left: 0;
      right: unset;
    }
    .rightSidebarClose {
      right: 5px;
      left: unset;
    }
  }

  .collapse-menu-icon {
    float: right !important;
  }
  .list-unstyled {
    padding-right: 0;
  }
  .review-img {
    padding-left: 0 !important;
    padding-right: 20px;
  }
  .progress-percent {
    float: left !important;
  }
  .todo-actionlist {
    left: 0;
  }
  .ngxTableHeader {
    .header-buttons-left {
      right: -15px;
      li {
        margin-right: 10px;
      }
      .search-icon {
        left: 0;
      }
    }
    .header-buttons {
      left: 35px;
      right: unset;
    }
  }
  #mail-nav {
    #mail-folders {
      padding-right: 0;
      .badge {
        float: left;
      }
    }
    #mail-labels {
      padding-right: 0;
    }
    #online-offline {
      padding-right: 0;
    }
  }
  .chat {
    .chat-header {
      img {
        float: right;
      }
      .chat-about {
        float: right;
        padding-right: 10px;
      }
    }
    .chat-history .my-message:after {
      right: 7%;
    }
  }
  .owl-carousel {
    direction: ltr;
    .owl-item {
      direction: rtl;
    }
  }
  .bx-wrapper {
    direction: ltr;
  }
  .lg-outer {
    direction: ltr;
  }
  .rightSetting p {
    text-align: right;
  }
  .sidebar .menu .list {
    padding-right: 0;
    .active .ml-menu {
      padding-right: 0px;
      // padding-right: 30px;
      // margin-right: 0;
      // padding-left: 0px;
      li a {
        padding-right: 46px;
        padding-left: unset;
        padding-top: 4px;
        padding-bottom: 4px;
      }
    }
    .ml-menu {
      li.active a:not(.menu-toggle):before {
        right: 10%;
        content: "\f104";
        font-family: "Font Awesome 5 Free";
      }
      .ml-menu-2 li.active a:not(.menu-toggle):before {
        right: 0px;
      }
      li a:before {
        right: 10%;
        content: "\f104";
        font-family: "Font Awesome 5 Free";
      }
      li {
        a {
          &:hover:before {
            font-weight: 600;
            right: 30px;
          }
        }
        &.active {
          a {
            &:hover:before {
              font-weight: 600;
              right: 30px;
            }
          }
        }
      }
    }
  }
  .notice-board .notice-body {
    padding: 0 10px 5px 0;
  }
  .ngx-datatable.material .datatable-footer .datatable-pager {
    text-align: left;
  }
  .people-list img {
    float: right;
  }
  .cd-timeline-img img {
    right: 10%;
  }
  .navbar-header .bars:before {
    right: 10px;
    left: unset;
  }
  .navbar-brand span {
    padding-left: unset;
    padding-right: 10px;
  }
  .dropdown-menu ul.menu {
    padding-right: 0;
  }
  .navbar-nav .user_profile .user_dw_menu {
    padding-right: 0;
    text-align: right;
  }
  .progress-list .status {
    left: 0;
    right: unset;
  }
  .to-do-list {
    padding-right: 0px;
  }
  .materialTableHeader {
    .header-buttons {
      left: 20px;
      right: unset;
    }
    .header-buttons-left {
      padding-right: 0px;
      .search-icon {
        left: 0px;
      }
      input.search-field {
        margin-right: 20px;
      }
    }
  }
  #mail-nav #mail-labels li {
    float: right;
  }
  #mail-nav #online-offline .material-icons {
    padding: 0px 5px 2px 5px;
  }
  .chat-upload {
    float: left;
  }
  .modal-header .close {
    margin-left: 0px;
  }
  .owl-dt-container {
    direction: rtl;
  }

  .owl-dt-control-arrow-button svg {
    transform: rotate(180deg);
  }
  .card-statistic-4 {
    .card-spacing {
      padding-right: 15px;
      padding-top: 1rem;
    }
  }
  .card-statistic-3 .card-icon {
    left: -5px;
    right: unset;
    margin-left: 0px;
  }
  .card-statistic-2 .card-right {
    float: left;
    margin: 15px 0px 15px 15px;
  }
  .post-user {
    .avtar-img {
      float: right;
      margin-left: 15px;
      margin-right: unset;
    }
  }
  .info-box6 {
    .count-numbers {
      left: 35px;
      right: unset;
    }
    .count-name {
      left: 35px;
      right: unset;
    }
  }

  .feedBody {
    border-right: 1px solid #d6d6d6;
    border-left: unset;
    margin-right: 30px;
    margin-left: unset;
    padding-right: 0px;
    padding-left: unset;
    li {
      padding-left: unset;
      padding-right: 30px;
      .feed-user-img {
        right: -20px;
        left: unset;
      }
    }
  }
  .sl-item {
    border-right: 1px solid #13b1e0;
    border-left: unset;
    padding-right: 15px;
    padding-left: unset;
    &::before {
      right: -6.5px;
      left: unset;
    }
  }
  .task-module .header-button {
    margin-right: auto;
    margin-left: unset;
  }
  .task-list {
    .task-low {
      margin-right: auto;
      margin-left: unset;
    }

    .task-high {
      margin-right: auto;
      margin-left: unset;
    }

    .task-normal {
      margin-right: auto;
      margin-left: unset;
    }
  }
  .task-container .header .header-close {
    left: 15px;
    right: unset;
  }
  .form-check .form-check-sign .check:before {
    margin-right: 10px;
    margin-left: unset;
  }
  .top-sell {
    .product-title {
      margin-right: 20px;
    }
    .product-price {
      margin-right: 20px;
    }
    .sell-price {
      float: left;
    }
  }
  .doc-file-type .media-cta {
    margin-left: 15px;
  }
  .lang-dropdown {
    margin-left: 0px;
    .country-name {
      margin-right: 5px;
    }
  }
  .lang-item .lang-item-list {
    text-align: right;
  }
  &.ls-closed .sidebar {
    margin-right: -300px;
    margin-left: unset;
  }
  &.ls-closed section.content {
    margin-right: 15px;
    margin-left: 15px;
  }
  &.overlay-open.ls-closed .sidebar {
    margin-right: 0;
    margin-left: unset;
  }

  .btn-space {
    margin-left: 10px !important;
  }
  .ms-auto {
    margin-right: auto !important;
    margin-left: unset !important;
  }
  .float-end {
    float: left !important;
  }
  .float-start {
    float: right !important;
  }
  .text-end {
    text-align: left !important;
  }
  .text-start {
    text-align: right !important;
  }
  .settingSidebar {
    left: -280px;
    right: unset;
    &.showSettingPanel {
      left: 0;
      right: unset;
    }
    .subMenu {
      width: 126px;
      height: 19px;
      // margin: 0 92px 15px 0;
      font-family: 'Font Awesome 5 Free';
      font-size: 14px;
      font-weight: bold;
      font-stretch: normal;
      font-style: normal;
      line-height: 1.36;
      letter-spacing: normal;
      text-align: right;
      color: var(--slate-blue);
    }
    .link{
      text-decoration: underline;
      float: left !important;
    }
    .demandeSubTitle{
      width: 103px;
      height: 19px;
      margin: 0 18px 0 0;
      font-family: 'Font Awesome 5 Free';
      font-size: 10px;
      font-weight: bold;
      font-stretch: normal;
      font-style: normal;
      line-height: 1.36;
      letter-spacing: normal;
      text-align: right;
      color: var(--slate-blue);
    }
    .demandeTitle{
      width: 103px;
      height: 19px;
      // margin: 0 18px 0 0;
      font-family: 'Font Awesome 5 Free';
      font-size: 16px;
      font-weight: bold;
      font-stretch: normal;
      font-style: normal;
      line-height: 1.36;
      letter-spacing: normal;
      text-align: right;
      color: var(--slate-blue);
    }
    .settingPanelToggle {
      // background: $background_color_mode;
      padding: 10px 15px;
      color: #fff;
      position: absolute;
      top: 30%;
      left: 280px;
      width: 40px;
      border-radius: 0px 10px 10px 0px;
    }
  }
  .hiddenradio {
    padding: 0px 0px 0px 20px;
    margin: 10px 10px 0px 20px;
  }
  .card-bnner {
    img {
      transform: scaleX(-1);
    }
  }
  .user_img {
    margin: 0px 0px 0px 5px;
  }
}

@media (max-width: 1169px) {
  .rtl {
    .sidemenu-collapse {
      display: none !important;
    }
  }
}
